Subject: Re: [PATCH v2] virtio_net: fix PAGE_SIZE > 64k

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 24 Jan 2017 21:53:13 +0200

On Tue, Jan 24, 2017 at 02:42:27PM -0500, David Miller wrote:
> From: "Michael S. Tsirkin" <[email-masked]>
> Date: Mon, 23 Jan 2017 21:37:52 +0200
> 
> > I don't have any guests with PAGE_SIZE > 64k but the
> > code seems to be clearly broken in that case
> > as PAGE_SIZE / MERGEABLE_BUFFER_ALIGN will need
> > more than 8 bit and so the code in mergeable_ctx_to_buf_address
> > does not give us the actual true size.
> > 
> > Cc: John Fastabend <[email-masked]>
> > Signed-off-by: Michael S. Tsirkin <[email-masked]>
> 
> Applied, thanks Michael.
> 
> I am really trying to be patient, but we are about to run out of
> time for fixing the adjust header XDP stuff.
> 
> That should have been resolved in a week or two, but now we're
> basically a month or so later.
> 
> Please come to some kind of agreement about how to implement this
> because we can't let v4.10 go out without this being resolved.
> 
> Thank you.

I didn't realise. Why can't we? I thought that adjust_header is an
optional feature that userspace can test for, so no rush.

-- 
MST